define("soundManagerApi", ["componentmodelComponentApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof soundManagerApi == 'undefined') {
            var soundManagerApi = {};
        };
        soundManagerApi.SoundManagerDeclaration = function() {};
        soundManagerApi.SoundManagerDeclaration = ck_implements(soundManagerApi.SoundManagerDeclaration, componentmodelComponentApi.IComponentDeclaration);
        soundManagerApi.SoundManagerDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        soundManagerApi.SoundManagerDeclaration.__name__ = ["soundManagerApi", "SoundManagerDeclaration"];
        soundManagerApi.SoundManagerDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        soundManagerApi.SoundManagerDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        soundManagerApi.SoundManagerDeclaration.prototype.getImplementedPorts = function() {
            return [soundManagerApi.ISoundManagerImplementationPort];
        };
        soundManagerApi.SoundManagerDeclaration.prototype.getUsedPorts = function() {
            return [];
        };
        soundManagerApi.SoundManagerDeclaration.prototype.__class__ = soundManagerApi.SoundManagerDeclaration;

        soundManagerApi.ISoundManagerImplementationPort = function() {}
        soundManagerApi.ISoundManagerImplementationPort.prototype = {

            adx_createPlayer: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_play: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setCueName: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setRandomSeed: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setFirstBlockIndex: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setNextBlockIndex: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_getCurrentBlockIndex: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setSelectorLabel: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_clearSelectorLabels: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_pause: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_resume: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_stop: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_attachFader: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setEnvelopeSustainLevel: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setEnvelopeReleaseTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setEnvelopeDecayTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setEnvelopeHoldTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setEnvelopeAttackTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setBusSendLevel: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setBusSendLevelOffset: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_detachFader: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setPan3dVolume: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setPanType: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setPan3dInteriorDistance: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setPan3dAngle: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setPitch: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_resetParameters: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setStartTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_muteAll: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_unmuteAll: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_mute: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_unmute: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setVolume: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setFadeOutTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setFadeInTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_getFadeOutTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_getFadeInTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_getPlayerStatus: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            fadeIn: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            fadeOut: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            rate: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            volume: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            play: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            stop: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            mute: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            unmute: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            muteAll: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            unmuteAll: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            pause: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onPlay: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onStop: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onPause: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onFinish: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onFade: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onMute: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onRate: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };

        soundManagerApi.ISoundManagerPort = function() {}
        soundManagerApi.ISoundManagerPort.prototype = {

            play: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            stop: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            fadeIn: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            fadeOut: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            mute: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            unmute: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            muteAll: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            unmuteAll: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            pause: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            volume: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            rate: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onPlay: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onStop: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onPause: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onFinish: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onFade: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onMute: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onRate: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_createPlayer: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_play: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setCueName: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setRandomSeed: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setFirstBlockIndex: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setNextBlockIndex: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setSelectorLabel: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_getCurrentBlockIndex: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_clearSelectorLabels: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_pause: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_resume: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_stop: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_attachFader: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setEnvelopeSustainLevel: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setEnvelopeReleaseTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setEnvelopeDecayTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setEnvelopeHoldTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setEnvelopeAttackTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setBusSendLevel: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setBusSendLevelOffset: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_detachFader: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setPan3dVolume: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setPanType: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setPan3dInteriorDistance: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setPan3dAngle: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setPitch: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_resetParameters: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setStartTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_muteAll: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_unmuteAll: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_mute: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_unmute: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setVolume: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setFadeOutTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_setFadeInTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_getFadeOutTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_getFadeInTime: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            adx_getPlayerStatus: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        soundManagerApi.SoundManagerPort = function(bus) {
            this.onRateAction = new clientkernelEventbusApi.Topic("soundplayer:onRate");
            this.onMuteAction = new clientkernelEventbusApi.Topic("soundplayer:onMute");
            this.onFinishAction = new clientkernelEventbusApi.Topic("soundplayer:onFinish");
            this.onFadeAction = new clientkernelEventbusApi.Topic("soundplayer:onFade");
            this.onPauseAction = new clientkernelEventbusApi.Topic("soundplayer:onPause");
            this.onStopAction = new clientkernelEventbusApi.Topic("soundplayer:onStop");
            this.onPlayAction = new clientkernelEventbusApi.Topic("soundplayer:onPlay");
            this.adx_getPlayerStatusAction = new clientkernelEventbusApi.Topic("soundplayer:getStatus");
            this.adx_getFadeInTimeAction = new clientkernelEventbusApi.Topic("soundplayer:getFadeInTime");
            this.adx_getFadeOutTimeAction = new clientkernelEventbusApi.Topic("soundplayer:getFadeOutTime");
            this.adx_setFadeInTimeAction = new clientkernelEventbusApi.Topic("soundplayer:setFadeInTime");
            this.adx_setFadeOutTimeAction = new clientkernelEventbusApi.Topic("soundplayer:setFadeOutTime");
            this.adx_setVolumeAction = new clientkernelEventbusApi.Topic("soundplayer:setVolume");
            this.adx_unmuteAction = new clientkernelEventbusApi.Topic("soundplayer:unumte");
            this.adx_muteAction = new clientkernelEventbusApi.Topic("soundplayer:mute");
            this.adx_unmuteAllAction = new clientkernelEventbusApi.Topic("soundplayer:unmuteAll");
            this.adx_muteAllAction = new clientkernelEventbusApi.Topic("soundplayer:muteAll");
            this.adx_setStartTimeAction = new clientkernelEventbusApi.Topic("soundplayer:setStartTime");
            this.adx_resetParametersAction = new clientkernelEventbusApi.Topic("soundplayer:resetParameters");
            this.adx_setPitchAction = new clientkernelEventbusApi.Topic("soundplayer:setPitch");
            this.adx_setPan3dAngleAction = new clientkernelEventbusApi.Topic("soundplayer:setPan3dAngle");
            this.adx_setPan3dInteriorDistanceAction = new clientkernelEventbusApi.Topic("soundplayer:setPan3dInteriorDistance");
            this.adx_setPanTypeAction = new clientkernelEventbusApi.Topic("soundplayer:setPanType");
            this.adx_setPan3dVolumeAction = new clientkernelEventbusApi.Topic("soundplayer:setPan3dVolume");
            this.adx_detachFaderAction = new clientkernelEventbusApi.Topic("soundplayer:detachFader");
            this.adx_setBusSendLevelOffsetAction = new clientkernelEventbusApi.Topic("soundplayer:setBusSendLevelOffset");
            this.adx_setBusSendLevelAction = new clientkernelEventbusApi.Topic("soundplayer:setBusSendLevel");
            this.adx_setEnvelopeAttackTimeAction = new clientkernelEventbusApi.Topic("soundplayer:setEnvelopeAttackTime");
            this.adx_setEnvelopeHoldTimeAction = new clientkernelEventbusApi.Topic("soundplayer:setEnvelopeHoldTime");
            this.adx_setEnvelopeDecayTimeAction = new clientkernelEventbusApi.Topic("soundplayer:setEnvelopeDecayTime");
            this.adx_setEnvelopeReleaseTimeAction = new clientkernelEventbusApi.Topic("soundplayer:setEnvelopeDecayTime");
            this.adx_setEnvelopeSustainLevelAction = new clientkernelEventbusApi.Topic("soundplayer:setEnvelopeSustainLevel");
            this.adx_attachFaderAction = new clientkernelEventbusApi.Topic("soundplayer:attachFader");
            this.adx_stopAction = new clientkernelEventbusApi.Topic("soundplayer:stop");
            this.adx_resumeAction = new clientkernelEventbusApi.Topic("soundplayer:resume");
            this.adx_pauseAction = new clientkernelEventbusApi.Topic("soundplayer:pause");
            this.adx_clearSelectorLabelsAction = new clientkernelEventbusApi.Topic("soundplayer:clearSelectorLabels");
            this.adx_setSelectorLabelAction = new clientkernelEventbusApi.Topic("soundplayer:setSelectorLabel");
            this.adx_getCurrentBlockIndexAction = new clientkernelEventbusApi.Topic("soundplayer:getCurrentBlockIndex");
            this.adx_setNextBlockIndexAction = new clientkernelEventbusApi.Topic("soundplayer:setNextBlockIndex");
            this.adx_setFirstBlockIndexAction = new clientkernelEventbusApi.Topic("soundplayer:setFirstBlockIndex");
            this.adx_setRandomSeedAction = new clientkernelEventbusApi.Topic("soundplayer:setRandomSeed");
            this.adx_setCueNameAction = new clientkernelEventbusApi.Topic("soundplayer:setCueName");
            this.adx_playAction = new clientkernelEventbusApi.Topic("soundplayer:play");
            this.adx_createPlayerAction = new clientkernelEventbusApi.Topic("soundplayer:createPlayer");
            this.rateAction = new clientkernelEventbusApi.Topic("soundplayer:rate");
            this.volumeAction = new clientkernelEventbusApi.Topic("soundplayer:volume");
            this.pauseAction = new clientkernelEventbusApi.Topic("soundplayer:pause");
            this.unmuteAllAction = new clientkernelEventbusApi.Topic("soundplayer:unmuteAll");
            this.muteAllAction = new clientkernelEventbusApi.Topic("soundplayer:muteAll");
            this.unmuteAction = new clientkernelEventbusApi.Topic("soundplayer:unmute");
            this.muteAction = new clientkernelEventbusApi.Topic("soundplayer:mute");
            this.fadeOutAction = new clientkernelEventbusApi.Topic("soundplayer:fadeOut");
            this.fadeInAction = new clientkernelEventbusApi.Topic("soundplayer:fadeIn");
            this.stopAction = new clientkernelEventbusApi.Topic("soundplayer:stop");
            this.playAction = new clientkernelEventbusApi.Topic("soundplayer:play");
            this.playAction.connect(bus);
            this.stopAction.connect(bus);
            this.fadeInAction.connect(bus);
            this.fadeOutAction.connect(bus);
            this.muteAction.connect(bus);
            this.unmuteAction.connect(bus);
            this.muteAllAction.connect(bus);
            this.unmuteAllAction.connect(bus);
            this.pauseAction.connect(bus);
            this.volumeAction.connect(bus);
            this.rateAction.connect(bus);
            this.adx_createPlayerAction.connect(bus);
            this.adx_playAction.connect(bus);
            this.adx_setCueNameAction.connect(bus);
            this.adx_setRandomSeedAction.connect(bus);
            this.adx_setFirstBlockIndexAction.connect(bus);
            this.adx_setNextBlockIndexAction.connect(bus);
            this.adx_setSelectorLabelAction.connect(bus);
            this.adx_getCurrentBlockIndexAction.connect(bus);
            this.adx_clearSelectorLabelsAction.connect(bus);
            this.adx_pauseAction.connect(bus);
            this.adx_resumeAction.connect(bus);
            this.adx_stopAction.connect(bus);
            this.adx_attachFaderAction.connect(bus);
            this.adx_setEnvelopeSustainLevelAction.connect(bus);
            this.adx_setEnvelopeReleaseTimeAction.connect(bus);
            this.adx_setEnvelopeDecayTimeAction.connect(bus);
            this.adx_setEnvelopeHoldTimeAction.connect(bus);
            this.adx_setEnvelopeAttackTimeAction.connect(bus);
            this.adx_setBusSendLevelAction.connect(bus);
            this.adx_setBusSendLevelOffsetAction.connect(bus);
            this.adx_detachFaderAction.connect(bus);
            this.adx_setPan3dVolumeAction.connect(bus);
            this.adx_setPanTypeAction.connect(bus);
            this.adx_setPan3dInteriorDistanceAction.connect(bus);
            this.adx_setPan3dAngleAction.connect(bus);
            this.adx_setPitchAction.connect(bus);
            this.adx_resetParametersAction.connect(bus);
            this.adx_setStartTimeAction.connect(bus);
            this.adx_muteAllAction.connect(bus);
            this.adx_unmuteAllAction.connect(bus);
            this.adx_muteAction.connect(bus);
            this.adx_unmuteAction.connect(bus);
            this.adx_setVolumeAction.connect(bus);
            this.adx_setFadeOutTimeAction.connect(bus);
            this.adx_setFadeInTimeAction.connect(bus);
            this.adx_getFadeOutTimeAction.connect(bus);
            this.adx_getFadeInTimeAction.connect(bus);
            this.adx_getPlayerStatusAction.connect(bus);
            this.onPlayAction.connect(bus);
            this.onStopAction.connect(bus);
            this.onPauseAction.connect(bus);
            this.onFadeAction.connect(bus);
            this.onFinishAction.connect(bus);
            this.onMuteAction.connect(bus);
            this.onRateAction.connect(bus);
        };
        soundManagerApi.SoundManagerPort = ck_implements(soundManagerApi.SoundManagerPort, soundManagerApi.ISoundManagerPort);
        soundManagerApi.SoundManagerPort = ck_implements(soundManagerApi.SoundManagerPort, soundManagerApi.ISoundManagerImplementationPort);
        soundManagerApi.SoundManagerPort.__interfaces__ = [soundManagerApi.ISoundManagerPort, soundManagerApi.ISoundManagerImplementationPort];
        soundManagerApi.SoundManagerPort.__name__ = ["soundManagerApi", "SoundManagerPort"];
        soundManagerApi.SoundManagerPort.prototype.playAction = null;
        soundManagerApi.SoundManagerPort.prototype.stopAction = null;
        soundManagerApi.SoundManagerPort.prototype.fadeInAction = null;
        soundManagerApi.SoundManagerPort.prototype.fadeOutAction = null;
        soundManagerApi.SoundManagerPort.prototype.muteAction = null;
        soundManagerApi.SoundManagerPort.prototype.unmuteAction = null;
        soundManagerApi.SoundManagerPort.prototype.muteAllAction = null;
        soundManagerApi.SoundManagerPort.prototype.unmuteAllAction = null;
        soundManagerApi.SoundManagerPort.prototype.pauseAction = null;
        soundManagerApi.SoundManagerPort.prototype.volumeAction = null;
        soundManagerApi.SoundManagerPort.prototype.rateAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_createPlayerAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_playAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setCueNameAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setRandomSeedAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setFirstBlockIndexAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setNextBlockIndexAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_getCurrentBlockIndexAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setSelectorLabelAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_clearSelectorLabelsAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_pauseAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_resumeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_stopAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_attachFaderAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setEnvelopeSustainLevelAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setEnvelopeReleaseTimeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setEnvelopeDecayTimeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setEnvelopeHoldTimeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setEnvelopeAttackTimeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setBusSendLevelAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setBusSendLevelOffsetAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_detachFaderAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setPan3dVolumeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setPanTypeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setPan3dInteriorDistanceAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setPan3dAngleAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setPitchAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_resetParametersAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setStartTimeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_muteAllAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_unmuteAllAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_muteAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_unmuteAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setVolumeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setFadeOutTimeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_setFadeInTimeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_getFadeOutTimeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_getFadeInTimeAction = null;
        soundManagerApi.SoundManagerPort.prototype.adx_getPlayerStatusAction = null;
        soundManagerApi.SoundManagerPort.prototype.onPlayAction = null;
        soundManagerApi.SoundManagerPort.prototype.onStopAction = null;
        soundManagerApi.SoundManagerPort.prototype.onPauseAction = null;
        soundManagerApi.SoundManagerPort.prototype.onFadeAction = null;
        soundManagerApi.SoundManagerPort.prototype.onFinishAction = null;
        soundManagerApi.SoundManagerPort.prototype.onMuteAction = null;
        soundManagerApi.SoundManagerPort.prototype.onRateAction = null;
        soundManagerApi.SoundManagerPort.prototype.play = function() {
            return this.playAction;
        };
        soundManagerApi.SoundManagerPort.prototype.stop = function() {
            return this.stopAction;
        };
        soundManagerApi.SoundManagerPort.prototype.fadeIn = function() {
            return this.fadeInAction;
        };
        soundManagerApi.SoundManagerPort.prototype.fadeOut = function() {
            return this.fadeOutAction;
        };
        soundManagerApi.SoundManagerPort.prototype.mute = function() {
            return this.muteAction;
        };
        soundManagerApi.SoundManagerPort.prototype.unmute = function() {
            return this.unmuteAction;
        };
        soundManagerApi.SoundManagerPort.prototype.muteAll = function() {
            return this.muteAllAction;
        };
        soundManagerApi.SoundManagerPort.prototype.unmuteAll = function() {
            return this.unmuteAllAction;
        };
        soundManagerApi.SoundManagerPort.prototype.pause = function() {
            return this.pauseAction;
        };
        soundManagerApi.SoundManagerPort.prototype.rate = function() {
            return this.rateAction;
        };
        soundManagerApi.SoundManagerPort.prototype.volume = function() {
            return this.volumeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_createPlayer = function() {
            return this.adx_createPlayerAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_play = function() {
            return this.adx_playAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setCueName = function() {
            return this.adx_setCueNameAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setRandomSeed = function() {
            return this.adx_setRandomSeedAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setFirstBlockIndex = function() {
            return this.adx_setFirstBlockIndexAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setNextBlockIndex = function() {
            return this.adx_setNextBlockIndexAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_getCurrentBlockIndex = function() {
            return this.adx_getCurrentBlockIndexAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setSelectorLabel = function() {
            return this.adx_setSelectorLabelAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_clearSelectorLabels = function() {
            return this.adx_clearSelectorLabelsAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_pause = function() {
            return this.adx_pauseAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_resume = function() {
            return this.adx_resumeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_stop = function() {
            return this.adx_stopAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_attachFader = function() {
            return this.adx_attachFaderAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setEnvelopeSustainLevel = function() {
            return this.adx_setEnvelopeSustainLevelAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setEnvelopeReleaseTime = function() {
            return this.adx_setEnvelopeReleaseTimeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setEnvelopeDecayTime = function() {
            return this.adx_setEnvelopeDecayTimeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setEnvelopeHoldTime = function() {
            return this.adx_setEnvelopeHoldTimeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setEnvelopeAttackTime = function() {
            return this.adx_setEnvelopeAttackTimeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setBusSendLevel = function() {
            return this.adx_setBusSendLevelAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setBusSendLevelOffset = function() {
            return this.adx_setBusSendLevelOffsetAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_detachFader = function() {
            return this.adx_detachFaderAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setPan3dVolume = function() {
            return this.adx_setPan3dVolumeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setPanType = function() {
            return this.adx_setPanTypeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setPan3dInteriorDistance = function() {
            return this.adx_setPan3dInteriorDistanceAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setPan3dAngle = function() {
            return this.adx_setPan3dAngleAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setPitch = function() {
            return this.adx_setPitchAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_resetParameters = function() {
            return this.adx_resetParametersAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setStartTime = function() {
            return this.adx_setStartTimeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_muteAll = function() {
            return this.adx_muteAllAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_unmuteAll = function() {
            return this.adx_unmuteAllAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_mute = function() {
            return this.adx_muteAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_unmute = function() {
            return this.adx_unmuteAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setVolume = function() {
            return this.adx_setVolumeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setFadeOutTime = function() {
            return this.adx_setFadeOutTimeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_setFadeInTime = function() {
            return this.adx_setFadeInTimeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_getFadeOutTime = function() {
            return this.adx_getFadeOutTimeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_getFadeInTime = function() {
            return this.adx_getFadeInTimeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.adx_getPlayerStatus = function() {
            return this.adx_getPlayerStatusAction;
        };
        soundManagerApi.SoundManagerPort.prototype.onPlay = function() {
            return this.onPlayAction;
        };
        soundManagerApi.SoundManagerPort.prototype.onStop = function() {
            return this.onStopAction;
        };
        soundManagerApi.SoundManagerPort.prototype.onPause = function() {
            return this.onPauseAction;
        };
        soundManagerApi.SoundManagerPort.prototype.onFade = function() {
            return this.onFadeAction;
        };
        soundManagerApi.SoundManagerPort.prototype.onFinish = function() {
            return this.onFinishAction;
        };
        soundManagerApi.SoundManagerPort.prototype.onMute = function() {
            return this.onMuteAction;
        };
        soundManagerApi.SoundManagerPort.prototype.onRate = function() {
            return this.onRateAction;
        };
        soundManagerApi.SoundManagerPort.prototype.__class__ = soundManagerApi.SoundManagerPort;
        soundManagerApi.SoundManagerPortFactory = function() {};
        soundManagerApi.SoundManagerPortFactory = ck_implements(soundManagerApi.SoundManagerPortFactory, componentmodelComponentApi.IPortFactory);
        soundManagerApi.SoundManagerPortFactory.__interfaces__ = [componentmodelComponentApi.IPortFactory];
        soundManagerApi.SoundManagerPortFactory.__name__ = ["soundManagerApi", "SoundManagerPortFactory"];
        soundManagerApi.SoundManagerPortFactory.prototype.provide = function(channel) {
            return new soundManagerApi.SoundManagerPort(channel);
        };
        soundManagerApi.SoundManagerPortFactory.prototype["use"] = function(channel) {
            return new soundManagerApi.SoundManagerPort(channel);
        };
        soundManagerApi.SoundManagerPortFactory.prototype.__class__ = soundManagerApi.SoundManagerPortFactory;
        soundManagerApi.SoundActionProperties = function(soundId, length) {
            this.soundId = soundId;
            this.length = length;
        };
        soundManagerApi.SoundActionProperties.__name__ = ["soundManagerApi", "SoundActionProperties"];
        soundManagerApi.SoundActionProperties.prototype.soundId = null;
        soundManagerApi.SoundActionProperties.prototype.length = null;
        soundManagerApi.SoundActionProperties.prototype.__class__ = soundManagerApi.SoundActionProperties;
        soundManagerApi.SoundBandpassFilterParameters = function(playerId, lowCutoffBandpass, highCutoffBandpass) {
            this.playerId = playerId;
            this.lowCutoffBandpass = lowCutoffBandpass;
            this.highCutoffBandpass = highCutoffBandpass;
        };
        soundManagerApi.SoundBandpassFilterParameters.__name__ = ["soundManagerApi", "SoundBandpassFilterParameters"];
        soundManagerApi.SoundBandpassFilterParameters.prototype.playerId = null;
        soundManagerApi.SoundBandpassFilterParameters.prototype.lowCutoffBandpass = null;
        soundManagerApi.SoundBandpassFilterParameters.prototype.highCutoffBandpass = null;
        soundManagerApi.SoundBandpassFilterParameters.prototype.__class__ = soundManagerApi.SoundBandpassFilterParameters;
        soundManagerApi.SoundBusSendLevelOffset = function(playerId, busIndex, level) {
            this.playerId = playerId;
            this.busIndex = busIndex;
            this.level = level;
        };
        soundManagerApi.SoundBusSendLevelOffset.__name__ = ["soundManagerApi", "SoundBusSendLevelOffset"];
        soundManagerApi.SoundBusSendLevelOffset.prototype.playerId = null;
        soundManagerApi.SoundBusSendLevelOffset.prototype.busIndex = null;
        soundManagerApi.SoundBusSendLevelOffset.prototype.level = null;
        soundManagerApi.SoundBusSendLevelOffset.prototype.__class__ = soundManagerApi.SoundBusSendLevelOffset;
        soundManagerApi.SoundCueName = function(playerId, cue) {
            this.playerId = playerId;
            this.cue = cue;
        };
        soundManagerApi.SoundCueName.__name__ = ["soundManagerApi", "SoundCueName"];
        soundManagerApi.SoundCueName.prototype.playerId = null;
        soundManagerApi.SoundCueName.prototype.cue = null;
        soundManagerApi.SoundCueName.prototype.__class__ = soundManagerApi.SoundCueName;
        soundManagerApi.SoundCurrentBlockIndex = function(playbackId) {
            this.playbackId = playbackId;
            this.currentBlockIndex = -1;
        };
        soundManagerApi.SoundCurrentBlockIndex.__name__ = ["soundManagerApi", "SoundCurrentBlockIndex"];
        soundManagerApi.SoundCurrentBlockIndex.prototype.playbackId = null;
        soundManagerApi.SoundCurrentBlockIndex.prototype.currentBlockIndex = null;
        soundManagerApi.SoundCurrentBlockIndex.prototype.__class__ = soundManagerApi.SoundCurrentBlockIndex;
        soundManagerApi.SoundEnvelopeAttackTime = function(playerId, attackTimeMs) {
            this.playerId = playerId;
            this.attackTimeMs = attackTimeMs;
        };
        soundManagerApi.SoundEnvelopeAttackTime.__name__ = ["soundManagerApi", "SoundEnvelopeAttackTime"];
        soundManagerApi.SoundEnvelopeAttackTime.prototype.playerId = null;
        soundManagerApi.SoundEnvelopeAttackTime.prototype.attackTimeMs = null;
        soundManagerApi.SoundEnvelopeAttackTime.prototype.__class__ = soundManagerApi.SoundEnvelopeAttackTime;
        soundManagerApi.SoundEnvelopeDecayTime = function(playerId, decayTimeMs) {
            this.playerId = playerId;
            this.decayTimeMs = decayTimeMs;
        };
        soundManagerApi.SoundEnvelopeDecayTime.__name__ = ["soundManagerApi", "SoundEnvelopeDecayTime"];
        soundManagerApi.SoundEnvelopeDecayTime.prototype.playerId = null;
        soundManagerApi.SoundEnvelopeDecayTime.prototype.decayTimeMs = null;
        soundManagerApi.SoundEnvelopeDecayTime.prototype.__class__ = soundManagerApi.SoundEnvelopeDecayTime;
        soundManagerApi.SoundEnvelopeHoldTime = function(playerId, holdTimeMs) {
            this.playerId = playerId;
            this.holdTimeMs = holdTimeMs;
        };
        soundManagerApi.SoundEnvelopeHoldTime.__name__ = ["soundManagerApi", "SoundEnvelopeHoldTime"];
        soundManagerApi.SoundEnvelopeHoldTime.prototype.playerId = null;
        soundManagerApi.SoundEnvelopeHoldTime.prototype.holdTimeMs = null;
        soundManagerApi.SoundEnvelopeHoldTime.prototype.__class__ = soundManagerApi.SoundEnvelopeHoldTime;
        soundManagerApi.SoundEnvelopeReleaseTime = function(playerId, releaseTimeMs) {
            this.playerId = playerId;
            this.releaseTimeMs = releaseTimeMs;
        };
        soundManagerApi.SoundEnvelopeReleaseTime.__name__ = ["soundManagerApi", "SoundEnvelopeReleaseTime"];
        soundManagerApi.SoundEnvelopeReleaseTime.prototype.playerId = null;
        soundManagerApi.SoundEnvelopeReleaseTime.prototype.releaseTimeMs = null;
        soundManagerApi.SoundEnvelopeReleaseTime.prototype.__class__ = soundManagerApi.SoundEnvelopeReleaseTime;
        soundManagerApi.SoundEnvelopeSustainLevel = function(playerId, sustainLevel) {
            this.playerId = playerId;
            this.sustainLevel = sustainLevel;
        };
        soundManagerApi.SoundEnvelopeSustainLevel.__name__ = ["soundManagerApi", "SoundEnvelopeSustainLevel"];
        soundManagerApi.SoundEnvelopeSustainLevel.prototype.playerId = null;
        soundManagerApi.SoundEnvelopeSustainLevel.prototype.sustainLevel = null;
        soundManagerApi.SoundEnvelopeSustainLevel.prototype.__class__ = soundManagerApi.SoundEnvelopeSustainLevel;
        soundManagerApi.SoundFadeData = function(playerId, fade) {
            this.playerId = playerId;
            this.fade = fade;
        };
        soundManagerApi.SoundFadeData.__name__ = ["soundManagerApi", "SoundFadeData"];
        soundManagerApi.SoundFadeData.prototype.playerId = null;
        soundManagerApi.SoundFadeData.prototype.fade = null;
        soundManagerApi.SoundFadeData.prototype.__class__ = soundManagerApi.SoundFadeData;
        soundManagerApi.SoundFadeInTime = function(playerId, timeMs) {
            this.playerId = playerId;
            this.timeMs = timeMs;
        };
        soundManagerApi.SoundFadeInTime.__name__ = ["soundManagerApi", "SoundFadeInTime"];
        soundManagerApi.SoundFadeInTime.prototype.playerId = null;
        soundManagerApi.SoundFadeInTime.prototype.timeMs = null;
        soundManagerApi.SoundFadeInTime.prototype.__class__ = soundManagerApi.SoundFadeInTime;
        soundManagerApi.SoundFadeOutTime = function(playerId, timeMs) {
            this.playerId = playerId;
            this.timeMs = timeMs;
        };
        soundManagerApi.SoundFadeOutTime.__name__ = ["soundManagerApi", "SoundFadeOutTime"];
        soundManagerApi.SoundFadeOutTime.prototype.playerId = null;
        soundManagerApi.SoundFadeOutTime.prototype.timeMs = null;
        soundManagerApi.SoundFadeOutTime.prototype.__class__ = soundManagerApi.SoundFadeOutTime;
        soundManagerApi.SoundFirstBlockIndex = function(playbackId, index) {
            this.playbackId = playbackId;
            this.index = index;
        };
        soundManagerApi.SoundFirstBlockIndex.__name__ = ["soundManagerApi", "SoundFirstBlockIndex"];
        soundManagerApi.SoundFirstBlockIndex.prototype.playbackId = null;
        soundManagerApi.SoundFirstBlockIndex.prototype.index = null;
        soundManagerApi.SoundFirstBlockIndex.prototype.__class__ = soundManagerApi.SoundFirstBlockIndex;
        soundManagerApi.SoundNextBlockIndex = function(playbackId, index) {
            this.playbackId = playbackId;
            this.index = index;
        };
        soundManagerApi.SoundNextBlockIndex.__name__ = ["soundManagerApi", "SoundNextBlockIndex"];
        soundManagerApi.SoundNextBlockIndex.prototype.playbackId = null;
        soundManagerApi.SoundNextBlockIndex.prototype.index = null;
        soundManagerApi.SoundNextBlockIndex.prototype.__class__ = soundManagerApi.SoundNextBlockIndex;
        soundManagerApi.SoundPan3DAngle = function(playerId, pan3DAngle) {
            this.playerId = playerId;
            this.pan3DAngle = pan3DAngle;
        };
        soundManagerApi.SoundPan3DAngle.__name__ = ["soundManagerApi", "SoundPan3DAngle"];
        soundManagerApi.SoundPan3DAngle.prototype.playerId = null;
        soundManagerApi.SoundPan3DAngle.prototype.pan3DAngle = null;
        soundManagerApi.SoundPan3DAngle.prototype.__class__ = soundManagerApi.SoundPan3DAngle;
        soundManagerApi.SoundPan3DInteriorDistance = function(playerId, pan3dInteriorDistance) {
            this.playerId = playerId;
            this.pan3dInteriorDistance = pan3dInteriorDistance;
        };
        soundManagerApi.SoundPan3DInteriorDistance.__name__ = ["soundManagerApi", "SoundPan3DInteriorDistance"];
        soundManagerApi.SoundPan3DInteriorDistance.prototype.playerId = null;
        soundManagerApi.SoundPan3DInteriorDistance.prototype.pan3dInteriorDistance = null;
        soundManagerApi.SoundPan3DInteriorDistance.prototype.__class__ = soundManagerApi.SoundPan3DInteriorDistance;
        soundManagerApi.SoundPan3DVolume = function(playerId, volume) {
            this.playerId = playerId;
            this.volume = volume;
        };
        soundManagerApi.SoundPan3DVolume.__name__ = ["soundManagerApi", "SoundPan3DVolume"];
        soundManagerApi.SoundPan3DVolume.prototype.playerId = null;
        soundManagerApi.SoundPan3DVolume.prototype.volume = null;
        soundManagerApi.SoundPan3DVolume.prototype.__class__ = soundManagerApi.SoundPan3DVolume;
        soundManagerApi.SoundPanType = function(playerId, panType) {
            this.playerId = playerId;
            this.panType = panType;
        };
        soundManagerApi.SoundPanType.__name__ = ["soundManagerApi", "SoundPanType"];
        soundManagerApi.SoundPanType.prototype.playerId = null;
        soundManagerApi.SoundPanType.prototype.panType = null;
        soundManagerApi.SoundPanType.prototype.__class__ = soundManagerApi.SoundPanType;
        soundManagerApi.SoundPitchData = function(playerId, pitch) {
            this.playerId = playerId;
            this.pitch = pitch;
        };
        soundManagerApi.SoundPitchData.__name__ = ["soundManagerApi", "SoundPitchData"];
        soundManagerApi.SoundPitchData.prototype.playerId = null;
        soundManagerApi.SoundPitchData.prototype.pitch = null;
        soundManagerApi.SoundPitchData.prototype.__class__ = soundManagerApi.SoundPitchData;
        soundManagerApi.SoundPlay = function(playerId) {
            this.playerId = playerId;
        };
        soundManagerApi.SoundPlay.__name__ = ["soundManagerApi", "SoundPlay"];
        soundManagerApi.SoundPlay.prototype.playerId = null;
        soundManagerApi.SoundPlay.prototype.playbackId = null;
        soundManagerApi.SoundPlay.prototype.__class__ = soundManagerApi.SoundPlay;
        soundManagerApi.SoundPlayerStatus = function(playerId) {
            this.playerId = playerId;
        };
        soundManagerApi.SoundPlayerStatus.__name__ = ["soundManagerApi", "SoundPlayerStatus"];
        soundManagerApi.SoundPlayerStatus.prototype.playerId = null;
        soundManagerApi.SoundPlayerStatus.prototype.status = null;
        soundManagerApi.SoundPlayerStatus.prototype.__class__ = soundManagerApi.SoundPlayerStatus;
        soundManagerApi.SoundRandomSeed = function(playerId, seed) {
            this.playerId = playerId;
            this.seed = seed;
        };
        soundManagerApi.SoundRandomSeed.__name__ = ["soundManagerApi", "SoundRandomSeed"];
        soundManagerApi.SoundRandomSeed.prototype.playerId = null;
        soundManagerApi.SoundRandomSeed.prototype.seed = null;
        soundManagerApi.SoundRandomSeed.prototype.__class__ = soundManagerApi.SoundRandomSeed;
        soundManagerApi.SoundRateData = function(soundId, rate) {
            this.soundId = soundId;
            this.rate = rate;
        };
        soundManagerApi.SoundRateData.__name__ = ["soundManagerApi", "SoundRateData"];
        soundManagerApi.SoundRateData.prototype.soundId = null;
        soundManagerApi.SoundRateData.prototype.rate = null;
        soundManagerApi.SoundRateData.prototype.__class__ = soundManagerApi.SoundRateData;
        soundManagerApi.SoundSelectorLabel = function(playerId, selector, label) {
            this.playerId = playerId;
            this.selector = selector;
            this.label = label;
        };
        soundManagerApi.SoundSelectorLabel.__name__ = ["soundManagerApi", "SoundSelectorLabel"];
        soundManagerApi.SoundSelectorLabel.prototype.playerId = null;
        soundManagerApi.SoundSelectorLabel.prototype.selector = null;
        soundManagerApi.SoundSelectorLabel.prototype.label = null;
        soundManagerApi.SoundSelectorLabel.prototype.__class__ = soundManagerApi.SoundSelectorLabel;
        soundManagerApi.SoundStartTime = function(playerId, startTimeMs) {
            this.playerId = playerId;
            this.startTimeMs = startTimeMs;
        };
        soundManagerApi.SoundStartTime.__name__ = ["soundManagerApi", "SoundStartTime"];
        soundManagerApi.SoundStartTime.prototype.playerId = null;
        soundManagerApi.SoundStartTime.prototype.startTimeMs = null;
        soundManagerApi.SoundStartTime.prototype.__class__ = soundManagerApi.SoundStartTime;
        soundManagerApi.SoundVolumeData = function(soundId, volume) {
            this.soundId = soundId;
            this.volume = volume;
        };
        soundManagerApi.SoundVolumeData.__name__ = ["soundManagerApi", "SoundVolumeData"];
        soundManagerApi.SoundVolumeData.prototype.soundId = null;
        soundManagerApi.SoundVolumeData.prototype.volume = null;
        soundManagerApi.SoundVolumeData.prototype.__class__ = soundManagerApi.SoundVolumeData;
        return {
            exports: soundManagerApi
        };
    });